Bug 716904 - Legacy SysV initscript file must go into an optional subpackage.
Legacy SysV initscript file must go into an optional subpackage.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-06-27 08:09 EDT by Jóhann B. Guðmundsson
Modified: 2011-09-30 15:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: NetworkManager-0.9.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-30 15:45:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2011-06-27 08:09:44 EDT
Description of problem:
Currently your component is providing both native systemd service files and
legacy sysv init script in the same package which is in violation of the
packaging guidelines[1]. 

Once a native systemd service file is shipped and if the intention is to
continue to maintain and ship the old sysv initscript the old sysvinit  must go
into an optional subpackage.

"SysV Initscripts
Packages may also provide a SysV initscript file, but are not required to do
so. This format is considered legacy, but Fedora still contains init mechanisms
such as upstart which do not support the systemd unit file format. If present,
the SysV initscript(s) must go into an optional subpackage, so as not to
confuse sysadmins. The guidelines for SysV initscripts can be found here:
Packaging:SysVInitScript"

http://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2011-09-09 14:53:43 EDT
NetworkManager-0.9.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.0-2.fc16
Comment 2 Fedora Update System 2011-09-10 14:57:55 EDT
Package NetworkManager-0.9.0-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.0-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.9.0-2.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-09-30 15:45:37 EDT
NetworkManager-0.9.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.